package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public class StoreBrandDTO implements Serializable {
    private static final long serialVersionUID = -1958432666455074669L;

    /**
     *
     */
    private Integer storeBrandId;

    /**
     * 品牌code
     */
    private String storeBrandCode;

    /**
     * 品牌名称
     */
    private String storeBrandName;

    /**
     * 经营类目
     */
    private String storeBrandCategory;

    /**
     * 门店适用 1:适用  0:不适用
     */
    private Integer storeSupport;

    /**
     * 商品适用 1:适用  0:不适用
     */
    private Integer goodsSupport;

    /**
     * 排序字段
     */
    private Double sort;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    private Integer seq;

    public Integer getStoreBrandId() {
        return storeBrandId;
    }

    public void setStoreBrandId(Integer storeBrandId) {
        this.storeBrandId = storeBrandId;
    }

    public String getStoreBrandCode() {
        return storeBrandCode;
    }

    public void setStoreBrandCode(String storeBrandCode) {
        this.storeBrandCode = storeBrandCode;
    }

    public String getStoreBrandName() {
        return storeBrandName;
    }

    public void setStoreBrandName(String storeBrandName) {
        this.storeBrandName = storeBrandName;
    }

    public String getStoreBrandCategory() {
        return storeBrandCategory;
    }

    public void setStoreBrandCategory(String storeBrandCategory) {
        this.storeBrandCategory = storeBrandCategory;
    }

    public Integer getStoreSupport() {
        return storeSupport;
    }

    public void setStoreSupport(Integer storeSupport) {
        this.storeSupport = storeSupport;
    }

    public Integer getGoodsSupport() {
        return goodsSupport;
    }

    public void setGoodsSupport(Integer goodsSupport) {
        this.goodsSupport = goodsSupport;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }
}
